<?php
/**
 *
 * @link              https://taboola.com
 * @since             1.0.0
 * @package           Taboola_Best_Practice_Layout
 *
 * @wordpress-plugin
 * Plugin Name:       Taboola Best Practice Layout
 * Plugin URI:        https://taboola.com
 * Description:       Taboola Best Practice Layout is a WordPress plugin that generates optimized pages using Blocks based on Taboola's best practices  with just a single click.
 * Version:           1.1.2
 * Author:            Taboola
 * Author URI:        https://taboola.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       Taboola-best-practice-layout
 */

// Add a custom menu item in the WordPress admin dashboard
add_action('admin_menu', 'custom_post_creation_menu');

function custom_post_creation_menu() {
    add_submenu_page(
        'tools.php',
        'Taboola Best Practice Layout', 
        'Taboola Best Practice Layout', 
        'manage_options', 
        'custom-post-creation', 
        'tpc_init', // Callback function
        'dashicons-clipboard' // Icon URL
    );
   
}

// Callback function to render the plugin page in the WordPress admin dashboard
function tpc_init() {
		// Parse the block markup
		$block_content = '
			<!-- wp:heading {"level":2} -->
			    <h2>This is an article title that should contain 10-15 words and two or three sentence, no more </h2>
			<!-- /wp:heading -->
			<!-- wp:paragraph -->
			    <p>Hook • 2·3 sentences above hero shot • lnteger quis erat luctus ex scelerisque placerat ut eget nisl. Proin sed justo consectetur, suscipit enim in,dictum ipsum. Aenean eget accumsan odio. Duis commodo euismod nibh, quis tincidunt odio accumsan eu. </p>
			<!-- /wp:paragraph -->
			<!-- wp:image {"id":1,"sizeSlug":"large","linkDestination":"none"} -->
			    <figure class="wp-block-image size-large"><img src="http://dummyimage.com/700x400/000/fff" alt=""/></figure>
			<!-- /wp:image -->
			<!-- wp:heading {"level":3} -->
			    <h3>First Paragraph Title </h3>
			<!-- /wp:heading -->
			<!-- wp:paragraph -->
			<p>lnteger quis erat luctus ex scelerisque placerat ut eget nisl. Proin sed justo consectetur, suscipit enim in, dictum ipsum. Aenean eget 
                accumsan odio. Duis commodo euismod nibh, quis tincidunt odio accumsan eu. Maecenas  ruticוffenullajusto, id consequat est interdum eget. Nam erat eros, sagittis sed lectus id, vestibulum convallis sem.Duis risus, pretium in ultricies vehicuta, aliquam ac nulla. Faucibus lacus ac condimentum euismod. Suspendisse eget condimentum mi. Aenean vehicula risus quis hendrerit pulvinar. Sed rutrum est vitae tellus bibendum, commodo scelerisque turpis porttitor. </p>
			<!-- /wp:paragraph -->
			<!-- wp:heading {"level":3} -->
			    <h3>Second Paragraph Title </h3>
			<!-- /wp:heading -->
			<!-- wp:paragraph -->
			    <p>lnteger elit sapien, sagittis non lectus et. malesuada sagittis purus. Nam eget suscipit tellus. eget consequat enim. Praesent imperdiet sollicitudin tellus, non tincidunt ipsum gravida ut. Etiam non cursus enim. lmperdiet urna ut felis molestie, vitae accumsan orci malesuada. lnterdum et malesuada fames ac ante ipsum primis in faucibus. </p>
			<!-- /wp:paragraph -->
			<!-- wp:heading {"level":4} -->
			    <h4><a href="#" title="Want to learn more "> Want to learn more </a></h4>
			<!-- /wp:heading -->
            <!-- wp:paragraph -->
            <p>lnteger elit sapien, sagittis non lectus et. malesuada sagittis purus. Nam eget suscipit tellus. eget consequat enim. Praesent imperdiet sollicitudin tellus, non tincidunt ipsum gravida ut. Etiam non cursus enim. lmperdiet urna ut felis molestie, vitae accumsan orci malesuada. lnterdum et malesuada fames ac ante ipsum primis in faucibus. </p>
            <!-- /wp:paragraph -->

            <!-- wp:heading {"textAlign":"center","level":3} -->
                <h3>Give options to click </h3>
            <!-- /wp:heading -->
            <!-- wp:paragraph {"align":"center"} -->
                <p> Jnteger elit sapien, sagittis non lectus et, malesuada sagittis purus. Nam eget suscipit tellus, 
                eget consequat enim. Praesent imperdiet sollicitudin tellus, non tincidunt ipsum gravida ut. 
                Etiam non cursus enim. 
                </p>
            <!-- /wp:paragraph -->


            <!-- wp:gallery {"linkTo":"none"} -->
                    <figure class="wp-block-gallery has-nested-images columns-default is-cropped">
                    <!-- wp:image  -->
                    <figure class="wp-block-image"><img src="http://dummyimage.com/400x600/000/fff" alt="" class=""/></figure>
                    <!-- /wp:image -->

                    <!-- wp:image  -->
                    <figure class="wp-block-image"><img src="http://dummyimage.com/400x600/000/fff" alt="" class=""/></figure>
                    <!-- /wp:image -->

                    <!-- wp:image  -->
                    <figure class="wp-block-image"><img src="http://dummyimage.com/400x600/000/fff" alt="" class=""/></figure>
                    <!-- /wp:image --></figure>
            <!-- /wp:gallery -->


        <!-- wp:heading {"level":3} -->
            <h3>Give a reason to click  </h3>
        <!-- /wp:heading -->
        <!-- wp:paragraph  -->
            <p> lnteger elit sapien, sagittis non tectus et. malesuada sagittis purus. Nam eget suscipit tellus. eget consequat enim. Praesent imperdiet 
            sollicitudin tellus, non tincidunt ipsum gravida ut. Etiam non cursus enim. lmperdiet urna ut felis molestie, vitae accumsan orci malesuada. lnterdum et malesuada fames ac ante ipsum primis in faucibus. 
            </p>
        <!-- /wp:paragraph -->

        <!-- wp:buttons -->
            <div class="wp-block-buttons">
            <!-- wp:button -->
                <div class="wp-block-button"><a class="wp-block-button__link wp-element-button">Primary CTA</a></div>
            <!-- /wp:button -->
            </div>
        <!-- /wp:buttons -->

			
	';

   $post_content = $block_content;

    if (isset($_POST['create_page'])) {
        // Create a new post
        $post_data = array(
            'post_title' => 'Taboola Best Practice Layout', 
            'post_content' =>  $post_content,
            'post_status' => 'draft',
            'post_author' => get_current_user_id(),
            'post_type' => 'page' 
        );

        // Insert the post into the database
        $post_id = wp_insert_post($post_data);
	
        $link = "post.php?post={$post_id}&action=edit";
        echo "<div class=\"updated\">
                <p>Page created successfully! Click <a href=\"{$link}\">here</a> to edit it.</p>
            </div>";
    }
    ?>
    <div class="tbpl">


    <h1>Taboola Best Practice Layout</h1>
    <p>
        Taboola Best Practice Layout is a WordPress plugin that generates optimized pages using Blocks based on Taboola's best practices 
        with just a single click.
            </br> 
        <ol>
            <li>Click the button below to get started.</li>
            <li>A new page, based on your existing template setup, will be instantly created under "Pages"</li>
            <li>You can then customize the content of the page to fit your campaign content and other preferences.</li>
        </ol>
       

    </p>
        
        <form method="post">
            <input type="submit" name="create_page" value="Create Page" class="button button-primary create-page-button">
        </form>
    </div>

    <style>
        .tbpl {
            max-width: 800px;
            padding: 50px;
            
            }

            .tbpl h1 {
                font-size: 30px;
                margin-bottom: 40px;
            }

            .tbpl p {
                font-size: 16px;
                line-height: 1.5;
                margin-bottom:10px;
            }
            .tbpl li{
                font-size: 16px;
              
            }

            .create-page-button {
                background-color: #0073aa;
                color: #fff;
                font-size: 18px;
                padding: 10px 20px;
                border-radius: 5px;
                cursor: pointer;
                transition: background-color 0.2s ease;
            }

            .create-page-button:hover {
                background-color: #005d8e;
            }
    </style>


    <?php
}
